# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetMeshArrayInfo

Function

Returns the number of terms and the terms of a Mesh Array.

Syntax
`
#include <dx/dx.h>
`

MeshArray DXGetMeshArrayInfo(MeshArray a, int *n, Array *terms)

Functional Details

If `n` is not `NULL`, the routine returns (in `*n`) the number of terms in the product `a`. If `terms` is not `NULL`, it returns (in `*terms`) the terms of the product.

Mesh Arrays are generally used to specify "connections" components as combinations of lower-dimensional Arrays. In their simplest, form Mesh Arrays are used to combine k Path Arrays into a regular k-dimensional grid, such as regular grids of cubes or quadrilaterals. In order to make this common case simple to use, an alternative, `DXQueryGridConnections` is provided to give quick access to the dimensionality and counts of regular grids.

Array Handles offer a simple mechanism for accessing the individual elements of a Mesh Array without expansion.

Return Value

Returns `a` or returns `NULL` and sets an error code.

See Also

`DXCreateArrayHandle, DXGetMeshOffsets, DXMakeGridConnections, DXMakeGridConnectionsV, DXNewMeshArray, DXNewMeshArrayV, DXQueryGridConnections, DXSetMeshOffsets`

"Mesh Arrays".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]